/*
 * Copyright 
 *   2007 axYus - www.axyus.com
 *   2007 JP.Tessier - jean-philippe.tessier@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.cp.xemelios.controls.models;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.InvalidXmlDefinition;
import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;
import javax.xml.namespace.QName;

/**
 * 
 * @author chm
 * @deprecated
 */
public class ElementLieModel implements XmlMarshallable {
	public static final transient String TAG = "element-lie";
        public static final transient QName QN = new QName(TAG);
	private StringBuffer balise;
	private String data;
	
	public ElementLieModel(QName tagName) { 
		super();
		balise = new StringBuffer();
                throw new UnsupportedOperationException("Cette classe est dépréciée, elle ne doit plus être utilisée.");
	}
	public void addCharacterData(String cData) throws SAXException {
		balise.append(cData);
	}
	public void addChild(XmlMarshallable child, QName tagName)throws SAXException {}
	public XmlMarshallable getAttributes(XmlAttributes attributes)throws SAXException {
		return this;
	}
	public void marshall(XmlOutputter output) {throw new Error("Not yet implemented"); }
	public void validate() throws InvalidXmlDefinition {}
	public String getBalise() { return balise.toString(); }
    public String getData() {
        return data;
    }
    public void setData(String data) {
        this.data = data;
    }
    @Override
    public ElementLieModel clone() {
    	ElementLieModel elm = new ElementLieModel(QN);
        elm.balise = this.balise;
        elm.data = this.data;
        return elm;
    }

    public XmlMarshallable getChildToModify(String uri, String localName, String qName, Attributes atts) {
        return null;
    }

    public QName getQName() {
        return QN;
    }
}
